Create a Knowledge Store - Cognigy Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Create a Knowledge Store
cURL
curl --request POST \
--url https://api-trial.cognigy.ai/new/v2.0/knowledgestores \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "mystore",
"description": "mystore description",
"projectId": "<string>"
}
'
Python
import requests
url = "https://api-trial.cognigy.ai/new/v2.0/knowledgestores"
payload = {
"name": "mystore",
"description": "mystore description",
"projectId": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'mystore', description: 'mystore description', projectId: '<string>'})
};
fetch('https://api-trial.cognigy.ai/new/v2.0/knowledgestores', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/knowledgestores",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'mystore',
'description' => 'mystore description',
'projectId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Common Response Codes
- 201 Success
- 400 Bad Request
- 401 Unauthorized
- 402 Payment Required
- 403 Forbidden
- 404 Not Found
- 405 Method Not Allowed
- 409 Conflict
- 413 Payload Too Large
- 500 Internal Server Error
- 501 Not Implemented
- 502 Bad Gateway
- 503 Service Unavailable
- 504 Gateway Timeout
{
"name": "mystore",
"description": "mystore description",
"language": "en-US",
"documents": [
"https://some-website.com/knowledgebase.txt"
],
"referenceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"_id": "<string>",
"createdAt": 1694518620,
"lastChanged": 1694518620,
"createdBy": "<string>",
"lastChangedBy": "<string>"
}
Authorizations
- X-API-Key: String required in the HTTP header.
Headers
- Accept: Specifies the media type that the client expects in the response. Available options:
application/jsonapplication/hal+jsonapplication/xmltext/xmltext/csv
Body Parameters
name: String, the name of the KnowledgeStore.
description: String, the description about what the knowledge store contains.
projectId: String, the unique identifier for the Project, required string length:
24.